Subject: Plug-and-play components (was FW: Single vs many solution(s))

From: Mark Seery <[email-masked]>
Date: Tue, 6 May 2003 12:40:52 -0700 (PDT)

Neil,

[clipped]

>> As an operator I have a requirement to be able to
choose addressing, routing, signalling (for the 2 co
modes), OAM, etc functional components *independently*
(using best-of-breed selection criteria) both per
mode and within each mode.<<

Not sure how this can be achieved in practice (under
current industry structure/system architectures). I
doubt it can be achieved by many startups - actually
any; unless I misunderstand your meaning. Perhaps you
could give some thoughts on how this could be achieved
in practice, but ultimately maybe this group can not
really tackle this issue and the IESG should take it
up in some way. Perhaps this is yet another reason for
an "architecture" function/WG/BOF in the IETF.

Mark